Index: /trunk/Poubelle/archediab.old/archeops.h
===================================================================
--- /trunk/Poubelle/archediab.old/archeops.h	(revision 648)
+++ /trunk/Poubelle/archediab.old/archeops.h	(revision 649)
@@ -7,7 +7,8 @@
 
 #define		_archeops
-#define		version_num		27
-
-#if version_num>=27
+#define		version_num		28
+
+/*  defini ici que si l'on n'a pas inclu ecclib.h qui contient les memes definitions */
+#ifndef _ECC_LIB_H_
 #define ECC_TOTAL 255
 #define ECC_DATA 239       /* Nb de bytes de data encodes */
@@ -15,4 +16,5 @@
 #define SIZE_HEAD sizeof(int4)*3  /* 3 mots d'entete de blocs */
 #endif
+
 /*======================================================================*/
 /*                                                                      */
@@ -48,4 +50,9 @@
 /*	erronnes.						        */
 /*								        */
+/*  VERSION 28:                                                         */
+/*	- corrigée la taille du block gyroscope avec ecc		*/
+/*	- compatible avec la generation de l'ecc dans le transputer     */
+/*	- mais sans ecc: trops long a calculer			        */
+
 /*======================================================================*/
 
@@ -180,4 +187,5 @@
 #define 	tc_dir_transputer		1
 #define 	tc_dir_reset_epld		3
+#define 	tc_dir_reset_trp		4
 
 /*  -------------  codes  des  prefix des  telecommandes traités le transputer	--------------   */
@@ -202,5 +210,6 @@
 enum{tc2_reset_epld,tc2_bolo_dacV,tc2_bolo_dacI,tc2_bolo_dacT
 	,tc2_bolo_dacL,tc2_bolo_gain,tc2_bolo_voie,tc2_horloge
-	,tc2_regul,tc2_auto_bolo,tc2_auto_dilu,tc2_dilution};	/* 12 codes: reste 4 disponibles*/
+	,tc2_regul,tc2_auto_bolo,tc2_auto_dilu,tc2_dilution
+	,tc2_raz_fet,tc2_reset};	/* 13 codes: reste 3 disponibles*/
 
 
@@ -212,7 +221,5 @@
 /*	code2=tc2_horloge	:								*/
 /*		soit un code defini								*/
-/*		soit le code tc3_vitesse+i avec i=0.. nb_type_block				*/
-enum{tc3_commande,tc3_periode,tc3_nb_mesures,tc3_temp_mort,tc3_flag,tc3_vitesse};
-/*#define	tc3_suite	tc3_vitesse+nb_type_block					*/
+enum{tc3_commande,tc3_periode,tc3_nb_mesures,tc3_temp_mort,tc3_flag};
 
 
@@ -227,6 +234,10 @@
 
 
-/*	code2=tc2_dilution	:						*/
-
+/*	code2=tc2_dilution	:	commandes setbit,clrbit 						*/
+enum{tc3_clr_bit_dil,tc3_set_bit_dil,tc3_fet_raz};
+
+/*	code2=tc2_reset	:	commandes setbit,clrbit 						*/
+#define	tc3_reset	13
+#define	tc4_reset	73
 
 /*______________________________________________________________________________*/
@@ -337,5 +348,7 @@
 
 	param_bolo	param;		/*	les parametres de mesure des bolometres		*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof( param_bolo)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -366,5 +379,7 @@
 
 	ligne_journal	jj[long_page];	/*	block de 10 lignes de journal			*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(ligne_journal)*long_page+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
@@ -513,5 +528,5 @@
 #endif		/***********   fin des structures swappées       ****************/
 
-enum{regul_stop,regul_chauffage_null,regul_sans_deglitch,regul_avec_deglitch};
+enum{regul_stop,regul_chauffage_null,regul_sans_deglitch,regul_avec_deglitch,stop_moteur,moteur_direct_p,moteur_regul_p,moteur_direct_m,moteur_regul_m};
 
 #define bit_piles_5V	1
@@ -541,5 +556,7 @@
 	int4		code2;		/*	code2 du block					*/
 	reglage_bolo	reglage;											
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(reglage_bolo)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -560,5 +577,7 @@
 /*	int4		gyro_dil[3][nb_per_block*2];	les gyros  (block gyros)		*/
 /*	int4		data_dil[50];	 data brutes de la dilution				*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*64+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -579,10 +598,14 @@
 #define vanne_EVF		0x00040000	/*  10: commande vanne EVF	*/
 #define chauffage1		0x00004000	/*  6: chauffage 1	*/
-#define chauffage2		0x00002000	/*  6: chauffage 1	*/
-#define chauffage3		0x00001000	/*  6: chauffage 1	*/
-#define chauffage4		0x00000800	/*  6: chauffage 1	*/
-#define chauffage5		0x00000400	/*  6: chauffage 1	*/
-#define chauffage6		0x00000200	/*  6: chauffage 1	*/
+#define chauffage2		0x00002000	/*  5: chauffage 1	*/
+#define chauffage3		0x00001000	/*  4: chauffage 1	*/
+#define chauffage4		0x00000800	/*  3: chauffage 1	*/
+#define chauffage5		0x00000400	/*  2: chauffage 1	*/
+#define chauffage6		0x00000200	/*  1: chauffage 1	*/
 #define chauffage7		0x00000100	/*  0: chauffage 7	*/
+
+enum{nbit_chauffage7,nbit_chauffage6,nbit_chauffage5,nbit_chauffage4,nbit_chauffage3
+	,nbit_chauffage2,nbit_chauffage1,nbit_vanne_EVB,nbit_vanne_EVO
+	,nbit_vanne_EVV,nbit_vanne_EVF,nbit_switch_pile_par_15,nbit_switch_pile_par_5,nbit_switch_helium};
 
 /*  position des mesures sur les multiplexeurs		*/
@@ -595,9 +618,10 @@
 /* multiplex21..28:*/,	mul21_	,mul22	,p_charb,p_R4	,mul25_	,p_C3	,p_R3	,t_a4	
 /* multiplex31..38:*/,	mul31_	,p_C4	,p_air	,t_a3	,t_b4	,t_b1	,t_b2	,t_a1	
-/* multiplex41..48:*/,	t_b3	,d_4He	,RP_He	,mul44	,d_3He	,j_he3	,j_he7	,j_he4	
+/* multiplex41..48:*/,	t_b3	,d_4He	,RP_He	,t_pile	,d_3He	,j_he3	,j_he7	,j_he4	
 /* multiplex51..58:*/,	j_he5	,j_he1	,j_he8	,j_he2	,j_he6	,pirani	,mul57	,mul58	
 /* multiplex61..68:*/,	p_m18B	,p_10B	,p_m18D	,mul64	,p_p18B	,p_10T	,p_Ch	,p_p18D		
 	};
 /* reste libres :  mul   12 - 21 - 22 - 25 -  31 - 44 - 57 - 58 - 64	*/
+/* T_A1 EST AUSSI LE DRIVER DU MOTEUR DE PIVOT   */
 
 #define  val_multiplex(qq)	(0.0003052*(double)((qq)-0x8000))	
@@ -616,5 +640,7 @@
 
 	char		gps[GPS_DATA];	/*      les données GPS (une chaine maxi 80 cara)	*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((GPS_DATA+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
@@ -633,5 +659,7 @@
 	
 	short 		bol_per[nb_max_bolo][nb_max_mes_per];		
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(short)*nb_max_bolo*nb_max_mes_per+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
@@ -647,5 +675,7 @@
 	int4		code2;		/*	code2 du block					*/
 	char		synchro[nb_per_block*2][nb_sync];	
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((nb_per_block*nb_sync*2+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
@@ -661,5 +691,7 @@
 	int4		code2;		/*	code2 du block					*/
 	char		comment[1024];
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((1024+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -678,10 +710,12 @@
 	int4		data_bolo[nb_max_bolo][nb_per_block*2];	
 					/*	data D.S.	(en mots de 32 bits)		*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*nb_max_bolo*nb_per_block*2+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
 	block_type_bolo;			
 
-/*  ---------------------   structures N° 9 :   données des gyroscopes et du magnétometre	*/
+/*  ---------------------   structures N° 9 :   données des gyroscopes 	*/
 /*  -----------------------------------------------------------------------------------------	*/
 typedef struct				  
@@ -692,6 +726,7 @@
 					/* chaque gyro: un vecteur tde 72 valeurs		*/
 	int4		gyro[3][nb_per_block*2];
-	int4		magneto[3];	/*	1 bit par echantillonage soit 3*32bit>72	*/
-	unsigned char ecc[((((sizeof(int4)*3*nb_per_block*2*3+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#ifdef _ECC_LIB_H_
+	unsigned char ecc[((((sizeof(int4)*3*nb_per_block*2+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -707,5 +742,7 @@
 	int4		sst[nb_per_block*2][18];
 					/* chaque mesure: un paquet de 18 mots de 32 bits	*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*nb_per_block*2*18+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -719,5 +756,7 @@
 	int4		code1;		/*	code1 du block					*/
 	int4		code2;		/*	code2 du block					*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -734,5 +773,7 @@
 					/*	pour chaque bolo, un vecteur  19 mots		*/
 	unsigned int4	data_bolo[nb_bolo_util][ (nb_per_block/2) +1 ];
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*nb_bolo_util*((nb_per_block/2) +1)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
@@ -749,5 +790,7 @@
 					/*  	nombre de mots = nb valeurs/4 +1		*/
 	unsigned int4	gyro[3][ (nb_per_block/2) +1 ];
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*3*((nb_per_block/2) +1)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -763,5 +806,7 @@
 					/*	pour chaque diode, un vecteur  11 mots		*/
 	unsigned int4	sst[nb_photo_diodes] [(nb_per_block*2/7) +1 ];
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*nb_photo_diodes*((nb_per_block*2/7) +1)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -801,5 +846,7 @@
   int4 erreur ;   /* Si la commande a induit une erreur */
   status_flash status ; /* etat de l'enregistreur */
+#ifdef _ECC_LIB_H_
   unsigned char ecc[((((sizeof(int4)*2 + sizeof(status_flash)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
   
   unsigned int4 fin ; /* code de reconnaissance de fin de block	*/
@@ -814,5 +861,7 @@
 
   int4	commande; /* type de commande a l'enregistreur flash */
+#ifdef _ECC_LIB_H_
   unsigned char ecc[((((sizeof(int4)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 
   int4	fin;      /* code de reconnaissance de fin de block */
@@ -848,7 +897,11 @@
 #ifdef	transmet_data_brute
 	char		data[nb_per_block*nb_max_mes_per*nb_byte_mot];
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((nb_per_block*nb_max_mes_per*nb_byte_mot+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 #else
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 #endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
@@ -863,5 +916,7 @@
 	int4		code1;		/*	code1 du block					*/
 	int4		code2;		/*	code2 du block					*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -875,5 +930,7 @@
 	int4		code1;		/*	code1 du block					*/
 	int4		code2;		/*	code2 du block					*/
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* 	code de reconnaissance de fin de block		*/
 	}
@@ -891,5 +948,7 @@
 	int4		code2;		/*	code2 du block					*/
 	int4		mot[(taille_maxi_block_archeops)/4];
+#ifdef _ECC_LIB_H_
 	unsigned char ecc[((((sizeof(int4)*(taille_maxi_block_archeops/4)+SIZE_HEAD)/ECC_DATA)+1)*ECC_SIZE)] ;
+#endif
 	int4		fin;		/* code de reconnaissance de fin de block		*/
 	}
Index: /trunk/Poubelle/archediab.old/prog_compression_unsigned/compress.c
===================================================================
--- /trunk/Poubelle/archediab.old/prog_compression_unsigned/compress.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/prog_compression_unsigned/compress.c	(revision 649)
@@ -9,5 +9,5 @@
 /*******************************************************************************************/
 
-int filtre[16]={0xfffffff,0xffffffe,0xffffffc,0xffffff8,
+static int filtre[16]={0xfffffff,0xffffffe,0xffffffc,0xffffff8,
 		0xffffff0,0xfffffe0,0xfffffc0,0xfffff80,
 		0xfffff00,0xffffe00,0xffffc00,0xffff800,
Index: /trunk/Poubelle/archediab.old/prog_compression_unsigned/test_compress.c
===================================================================
--- /trunk/Poubelle/archediab.old/prog_compression_unsigned/test_compress.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/prog_compression_unsigned/test_compress.c	(revision 649)
@@ -44,6 +44,6 @@
 	if(i>40)	entree[i]+=500000.*exp(- 0.05*(i-40));
 //	if(i>40)	entree[i]+=200000.*exp(- 0.05*(i-40));
-//	entree[i]/=16;	//  entre 0 et 50 000  soit 16 bits
-	entree[i]*=2;	// de 0 a 15 e6  soit 21 bits
+	entree[i]/=16;	//  entre 0 et 50 000  soit 16 bits
+//	entree[i]*=2;	// de 0 a 15 e6  soit 21 bits
 	}
 
@@ -52,8 +52,9 @@
 graph->couleur_trace=bleu;
 style(1);
+retrace(1);
 
+alerte(1,"");
 
-/*
-printf("comprime : ");
+printf("comprime 4.1 avec lg=%d : ",lg);
 t=TickCount();
 for(i=0;i<1000;i++)	  compress_4_1((unsigned long*)entree,(unsigned long*)comp,lg,1);
@@ -61,7 +62,7 @@
 y=0;for(i=0;i<lg;i++) {x=entree[i]-rec[i];y+=x*x;} y=sqrt(y/(double)lg);
 printf("fin de comprime 4_1  : t=%d   ecart total = %g  \n\n",TickCount()-t,y);
-*/
 
 
+/*
 printf("comprime : ");
 t=TickCount();
@@ -71,5 +72,5 @@
 printf("fin de comprime 4_2  : t=%d   ecart total = %g  \n\n",TickCount()-t,y);
 
-
+*/
 /*
 printf("comprime : ");
